Fees
1 min
GET
https://tnapi.ticketpay.de/exports/fees
Query Parameters
- fromstringExampleDescription
- tostringExampleDescription
- filter_bystringExampleDescription
- time_periodstringDescription
- time_rangeintegerDescription
- idintegerDescription
- shop_order_idintegerDescription
- shop_idintegerDescription
- event_idintegerDescription
- fee_typestringDescription
- per_pageintegerDescription
- pageintegerDescription
Header Parameters
- AuthorizationstringrequiredDescription
Responses
200
- get_fees
- totalintegerExample
- pageintegerExample
- sizeintegerExample
- dataobject[]
- shop_idintegerExample
- event_idintegerExample
- shop_order_idintegerExample
- fee_typestringExample
- fee_namestringExample
- statusstringExample
- amountfloatExample
- quantityintegerExample
- volume_amountfloatExample
- percentagebooleanExample
- ratefloatExample
- channelstringExample
- payout_doneboolean
- created_isostringExample
- updated_isostringExample
401
- not_authorized
- messagestringExample
curl
curl --request GET \
--url https://tnapi.ticketpay.de/exports/fees \
--header 'accept: application/json' \
--header 'authorization: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("authorization", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://tnapi.ticketpay.de/exports/fees", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://tnapi.ticketpay.de/exports/fees")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["authorization"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://tnapi.ticketpay.de/exports/fees"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'authorization': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Response for get fees.
{
"total": 4134,
"page": 1,
"size": 1000,
"data": [
{
"shop_id": 14669,
"event_id": 78001,
"shop_order_id": 431113,
"fee_type": "booking_fee",
"fee_name": "Buchungsgebühr",
"status": "approved",
"amount": 0.94,
"quantity": 1,
"volume_amount": 44.9,
"percentage": true,
"rate": 2.1,
"channel": "shop",
"payout_done": false,
"created_iso": "2022-02-26T19:29:42+01:00",
"updated_iso": "2022-02-26T19:29:43+01:00"
}
]
}401
// Response for a failed authentification.
{
"message": "Unauthorized"
}